Subject: Re: TCP/IP via VSATs (fwd)

From: "Dr. Dieter Pukatzki" <[email-masked]>
Date: Tue, 8 Feb 2000 22:40:19 +0000 (UTC)

> Subject: Re: TCP/IP via VSATs
> 
> Figure at least 550 msec delay for a meshed VSAT (one-hop) architecture
         ~~~~~~~
that is right, figure on 690 to 720 - if there is not much traffic
on the line - that's we are getting C-Band in Indonesia

> assuming Geosynchronous satellites.  The delay depends on the satellite
> network archetecture deployed and terrestrial networks that are being utilized.
> 
> The link characteristics should be provided by the VSAT and Satellite
> Network providers.
> 
I would'nt bet on that. 
> 
> Will Ivancic
> 
> At 12:09 PM 2/7/00 -0300, Testasecca, Mariano wrote:
> >
> >Does anybody know which are the delays and implications that I should take
> >into account while building
> >a WAN network running TCP/IP under VSATs? 
> >Any information, paper or link will be very appreciated.
> >

A lot depends on 

	1. SCPC (Single channel per carrier) or MCPC (multiple channel per
           carrier) -the first is like a leased line andobviously faster

	2. the power you beam at the bird (20watt RFs yield obviously
           more than 5 or 10)

	3. Size of the dish - we use 2.4m (almost a minimum for good
           performance)

	4. How well the sat engineers "tuned" your modem, and the
	   quality of the modem

	5. How many error correction you get and whether you allocate
	   20 or 33 % or whatever for error correction channel (On this
	   I am a little foggy, because I am just a user not an engineer)

and above all

	6. Using SACK (SELECTING Acknowledgement) or not, because getting
	   a "traffic jam" at the reception is your biggest problem

There people like mentat (www.mentat.com) who can improve performance
using XTCP (Express TCP or so) which Al Weaver invented years ago for
gigatransfers. Thats useful for downloading websides or large files.

Hint: when you use ping, add the -c option in order not distort
the packet loss.

I use ftp-transfer rate for performance measure and require 5K/sec or better

I measure performa
> >Thanks
> >Mariano Testasecca
> >SIEMENS S.A.
> >División Electromedicina
> >Servicios de Salud - SHS
> >Bolivar 177 1º Piso

wau, you are as far out as we are in Kalimantan
> >*+54-11-4340-8400 int. 2796
> >* mailto:[email-masked]
> >
> 
> *********************************************
> William D. Ivancic
> NASA Glenn Research Center
> 21000 Brookpark Rd.   MS 54-8
> Cleveland, Ohio  44135
> USA
> Phone:   1 216 433 3494
> FAX:     1 216 433 8705
> Email:   [email-masked]
>              [email-masked]	
> http://ctd.grc.nasa.gov/5610/5610.html	
> *********************************************
>